- Qt 6.8
- Qt GUI
- C++ Classes
- PushConstantBlock
- Qt 6.8.3 Reference Documentation

# PushConstantBlock Struct

struct QShaderDescription::PushConstantBlock

Describes a push constant block. More...

This struct was introduced in Qt 6.6.

- List of all members, including inherited members

## Public Variables

QList<QShaderDescription::BlockVariable> | members
QByteArray | name
int | size

## Related Non-Members

bool | operator==(const QShaderDescription::PushConstantBlock &lhs, const QShaderDescription::PushConstantBlock &rhs)

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QShaderDescription for details.

## Member Variable Documentation

### QList<QShaderDescription::BlockVariable> PushConstantBlock::members

### QByteArray PushConstantBlock::name

### int PushConstantBlock::size

## Related Non-Members

### `[noexcept]` bool operator==(const QShaderDescription::PushConstantBlock &lhs, const QShaderDescription::PushConstantBlock &rhs)

Returns `true` if the two PushConstantBlock objects lhs and rhs are equal.